using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Jig_Replicator
{
	public partial class UserControl4 : UserControl
	{
		public UserControl4()
		{
			InitializeComponent();
		}

		private void radioButton1_CheckedChanged(object sender, EventArgs e)
		{
			Program.frm2.NextState(true);
			Program.frm2.fsmtype = 1;
		}

		private void radioButton2_CheckedChanged(object sender, EventArgs e)
		{
			Program.frm2.NextState(true);
			Program.frm2.fsmtype = 2;
		}

		private void radioButton3_CheckedChanged(object sender, EventArgs e)
		{
			Program.frm2.NextState(true);
			Program.frm2.fsmtype = 3;
		}

		private void radioButton4_CheckedChanged(object sender, EventArgs e)
		{
			Program.frm2.NextState(true);
			Program.frm2.fsmtype = 0;
		}
		public void revdependent_uc4(byte rev)
		{
			if (rev == 3)
			{
				radioButton1.Enabled = false;
				radioButton2.Enabled = false;
				radioButton5.Enabled = false;
			}	
			else
			{
				radioButton1.Enabled = true;
				radioButton2.Enabled = true;
				radioButton5.Enabled = true;
			}
		}
		private void UserControl4_Load(object sender, EventArgs e)
		{

		}

		private void radioButton5_CheckedChanged(object sender, EventArgs e)
		{
			Program.frm2.NextState(true);
			Program.frm2.fsmtype = 4;
		}
	}
}
